> For the complete documentation index, see [llms.txt](https://docs.servoy.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.servoy.com/reference/servoy-cloud/cloud-control-center/application-overview/applications/pipelines/jobs/job-configuration/desktop.md).

# Desktop

Desktop jobs build NgDesktop installers for Windows, macOS, and Linux. Job properties are split into two categories:

* [**Package**](#package)
* [**Environment**](#environment)

## Package

### Name

The display name of the NG Desktop Application

### Icon

Optional. An icon that will represent your desktop application

{% hint style="warning" %}
**Icon Requirements**

* **Image dimension:** 512x512
* **Max allowed size:** 262144 KB
  {% endhint %}

### Image

Optional. An image that will represent your desktop application

{% hint style="warning" %}
**Image Requirements**

* **Max allowed size:** 524288 KB
  {% endhint %}

### Copyright

Optional. Description of the copyright ownership

### Platform

The platforms/operating systems the desktop application should build for:

* **Windows**
* **MacOS**
* **Linux**

### Public share

When enabled, the current build's installer gets a public download URL — accessible without a Cloud Control Center account. Use this to share installers with end users, testers, or customers.

Disabling this toggle immediately removes public access.

{% hint style="info" %}
Once enabled, you can copy the public download URL from the pipeline view. Go to the **Current Package** section, open the **Actions** menu, select **Share installer**, and choose a platform (Windows, Windows ARM64, Mac, or Linux).
{% endhint %}

## Environment

### Application URL

The URL of the deployed NG/TiNG application. Can be ServoyCloud environment URLs or self-hosted

### Application update URL

Optional. The URL that should be used for auto update. Supported only for Windows.

### Initial window width

The initial width the application will start with

### Initial window height

The initial height the application will start with

### Servoy version

The Servoy version that was used to build the application. The chosen Servoy version will determine the supported NG Desktop versions.

### NG Desktop version

The version that will be used to build the application. The available versions are determined by the chosen Servoy version.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.servoy.com/reference/servoy-cloud/cloud-control-center/application-overview/applications/pipelines/jobs/job-configuration/desktop.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
